# lern-tracking-system

Um den Studenten des Grundlagenkurses für *Virtual, Mixed und Augmented Reality* das Thema Tracking besser und anschaulicher vermitteln zu können wird im Zuge dieser Projektarbeit ein Lehr-Tracking-System geplant und gebaut. Mit ihm können die Grundlagen von Tracking Systemen praktisch veranschaulicht werden.

![hardware construction](images/full_system.jpg)

Ziel dieser Projektarbeit ist ein Prüfkörper, welcher sich in einem zweidimensionalen Raum mit einem visuellen, einem magnetischen und einem akustischen Verfahren tracken lässt.

![component mindmap](images/tracking.png)

Da im Lehr-Tracking-System nicht alle existierenden Tracking Mechanismen verbaut und veranschaulicht werden können wurden drei Tracking Mechanismen ausgewählt welche zum Einen in Mixed oder Virtual Reality Systemen oft zu Einsatz kommen, zum Anderen aber auch in dieser Projektarbeit umgesetzt werden können. Für die Projektarbeit wurde ein visuelles, ein magnetisches und ein akustisches Tracking ausgewählt. Diese drei Verfahren sind die gängigsten Verfahren und können auch ohne großen finanziellen Aufwand umgesetzt werden. Das Lern-Tracking System soll das Grundprinzip der einzelnen Tracking Verfahren sowie die Vor- und Nachteile aufzeigen. Das Hauptaugenmerk liegt demnach nicht auf der Güte sondern auf der Einfachheit der Systeme.

[Folgendes Video](images/screenrecord.mp4) zeigt die in diesem Repo abgelegte Software in Aktion.
[![](images/screenrecord_thumb.jpg)](images/screenrecord.mp4)